Bug 208719 - wpa_supplicant needs to be 0.4.9 to interact with post-2.6.18-git8 kernels
wpa_supplicant needs to be 0.4.9 to interact with post-2.6.18-git8 kernels
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-30 16:28 EDT by Alessandro Suardi
Modified: 2007-12-06 18:44 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.4.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 18:44:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alessandro Suardi 2006-09-30 16:28:37 EDT
Description of problem:

WPA association fails between ipw2200 card and D-Link DSL-G604T AP
 after updating from Torvalds kernel 2.6.18-git8 to 2.6.18-git9.

2.6.18-git9 Torvalds kernels introduce wireless extensions v21,
 which are already known to break wireless-tools-28.0.pre13.5.1
 as per Jean Tourrhiles comments in this lkml thread:

http://www.ussg.iu.edu/hypermail/linux/kernel/0609.3/2148.html

 as it turns out from further tests, updating wireless-tools to
 Jean's latest tarball (wireless_tools.29.pre10.tar.gz) is not
 enough; wpa_supplicant is in fact an user of wireless extensions
 and needs to be built from the 0.4.9 sources to make WPA
 association work again with 2.6.18-git9 and further.
 

Version-Release number of selected component (if applicable):

wpa_supplicant-0.4.8-10.fc5

How reproducible:

100%

Steps to Reproduce:

1. boot a 2.6.18-git9 kernel
2. ifup eth1
3. wpa_supplicant -B -Dwext -ieth1 -c etc/wpa_supplicant/wpa_supplicant.conf
  
Actual results:

ip a reports eth1 as NO-CARRIER and pinging the AP doesn't work

Expected results:

networking functionality should be available

Additional info:

This bug is filed upon suggestion by Dave Jones at the end of the
 mentioned lkml thread.
Comment 1 Fedora Update System 2006-10-30 16:37:35 EST
wpa_supplicant-0.4.9-1.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 2 Fedora Update System 2006-10-30 16:37:41 EST
wpa_supplicant-0.4.9-1.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.